# This file created by conda-build 26.3.0
# meta.yaml template originally from:
# /home/task_178034867916164/requests-feedstock/recipe, last modified Mon Jun  1 21:18:46 2026
# ------------------------------------------------

package:
  name: requests
  version: 2.34.2
source:
  url: https://pypi.org/packages/source/r/requests/requests-2.34.2.tar.gz
  sha256: f288924cae4e29463698d6d60bc6a4da69c89185ad1e0bcc4104f584e960b9ed
build:
  number: '0'
  script: /home/task_178034867916164/croot/requests_1780348747484/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pl/bin/python
    -m pip install . --no-deps --no-build-isolation -vv
  string: py314h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 52_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2026.5.14 h06a4308_0
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libexpat 2.8.1 h7354ed3_0
    - libffi 3.4.8 hc5d346e_2
    - libgcc 15.2.0 h69a1729_8
    - libgcc-ng 15.2.0 h166f726_8
    - libmpdec 4.0.0 h5eee18b_0
    - libstdcxx 15.2.0 h39759b7_8
    - libstdcxx-ng 15.2.0 hc03a8fd_8
    - libuuid 1.41.5 h5eee18b_0
    - libxcb 1.17.0 h9b100fa_0
    - libzlib 1.3.1 h47b2149_1
    - lz4-c 1.9.4 h6a678d5_1
    - ncurses 6.5 h7934f7d_0
    - openssl 3.5.6 h1b28b03_0
    - pip 26.1.1 pyh0d26453_1
    - pthread-stubs 0.3 h0ce48e5_1
    - python 3.14.4 h490e9c7_100_cp314
    - python_abi 3.14 2_cp314
    - readline 8.3 hc2a1206_0
    - setuptools 82.0.1 py314h06a4308_0
    - sqlite 3.51.2 h3e8d24a_0
    - tk 8.6.15 h54e0aa7_0
    - tzdata 2026b he532380_0
    - xorg-libx11 1.8.12 h9b100fa_1
    - xorg-libxau 1.0.12 h9b100fa_0
    - xorg-libxdmcp 1.1.5 h9b100fa_0
    - xorg-xorgproto 2024.1 h5eee18b_1
    - xz 5.8.2 h448239c_0
    - zlib 1.3.1 h47b2149_1
    - zstd 1.5.7 h11fc155_0
  run:
    - certifi >=2023.5.7
    - charset-normalizer >=2,<4
    - idna >=2.5,<4
    - python >=3.14,<3.15.0a0
    - python_abi 3.14.* *_cp314
    - urllib3 >=1.26,<3
  run_constrained:
    - chardet >=3.0.2,<8
    - pysocks >=1.5.6,!=1.5.7
test:
  imports:
    - requests
  source_files:
    - pyproject.toml
    - tests
  requires:
    - pip
    - pysocks >=1.5.6,!=1.5.7
    - pytest >=6.2
    - pytest-mock
    - pytest-xdist
  commands:
    - pip check
    - conda create -v --dry-run -n requests-test numpy
    - "pytest -v  \\\n  -k \"not (test_use_proxy_from_environment or TestRequests\
      \ or TestTimeout \\\n  or test_requests_are_updated_each_time or tests/test_requests.py::test_urllib3_retries\
      \ \\\n  or tests/test_requests.py::test_urllib3_pool_connection_closed or TestPreparingURLs\
      \ \\\n  or test_content_length_for_bytes_data or test_content_length_for_string_data_counts_bytes\
      \ \\\n  or test_urllib3_retries or test_urllib3_pool_connection_closed or test_zipped_paths_extracted)\"\
      \n"
about:
  home: https://requests.readthedocs.io
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: "Requests is an elegant and simple HTTP library for Python, built with\
    \ \u2665."
  description: 'Requests is the only Non-GMO HTTP library for Python, safe for human

    consumption.

    '
  doc_url: https://requests.readthedocs.io
  dev_url: https://github.com/psf/requests
extra:
  recipe-maintainers:
    - carlodri
    - jakirkham
    - kalefranz
    - mcg1969
    - mingwandroid
    - msarahan
    - ocefpaf
    - pelson
    - sigmavirus24
  final: true
  copy_test_source_files: true
  remote_url: https://github.com/AnacondaRecipes/requests-feedstock
  sha: 0fd5643c23131e21fb3255da3e9379cf298403fa
  task_id: ee2o8ZTvQQGzRAndFCrmlg
  task_run_id: '0'
  pbp_graph_uuid: 4831f936-5237-46ba-b3fc-55fae881d782
